Page MenuHomeFreeBSD

Add a timeline for completion of mentorship.
ClosedPublic

Authored by brooks on Mar 31 2020, 10:23 PM.

Details

Summary

This is intended to be a guideline and to set expecations for mentors and mentees. We've had a small number of cases where people got commit bits and then did little beyond their initial
commits. We'd like this situation to be clear. We expect future core teams will interpret with appropriate flexibility.

Diff Detail

Repository
rD FreeBSD doc repository - subversion
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

imp added inline comments.
en_US.ISO8859-1/articles/committers-guide/article.xml
2439 ↗(On Diff #70077)

space after under here.

2442 ↗(On Diff #70077)

s/complete/completion/ maybe?

This revision is now accepted and ready to land.Mar 31 2020, 11:35 PM

Typo fix, the rest looks good.

en_US.ISO8859-1/articles/committers-guide/article.xml
2441 ↗(On Diff #70083)

s/preverting/preventing/

This revision now requires review to proceed.Apr 1 2020, 4:07 PM

Thanks, good to go!

This revision is now accepted and ready to land.Apr 1 2020, 4:31 PM
This revision now requires review to proceed.Apr 3 2020, 4:28 PM
This revision is now accepted and ready to land.Apr 3 2020, 4:43 PM
jhb added a subscriber: jhb.
jhb added inline comments.
en_US.ISO8859-1/articles/committers-guide/article.xml
2443 ↗(On Diff #70151)

Maybe s/should/will?

  • Use "may" to indicate that transition to project member is at core's discretion.
This revision now requires review to proceed.Jun 16 2020, 6:15 PM
brooks retitled this revision from Add a timeline for unmentoring. to Add a timeline for completion of mentorship..Jun 16 2020, 6:29 PM
brooks edited the summary of this revision. (Show Details)
This revision is now accepted and ready to land.Jun 16 2020, 7:37 PM
gnn added a subscriber: gnn.

I'm ok with "may" so LGTM.

This revision was automatically updated to reflect the committed changes.